Doesn't recognise the bsp?

New Member
Joined
Mar 28, 2005
Messages
5
Best answers
0
Hey guys, I tried finding it out from all the sticky threads but I couldn't find it this fast. I compiled a simple map just to see if it works using the Nem compiler tools but ESF doesn't seem to be recognising it. Did I miss something?

Also, I can only get the map to compile using the standart ESF wads, if i for example include half-life.wad in the Nem editor it'll still give me an error ,while compiling, saying that it can not find it.

I use Quark to map btw.

Thanks in advance
 
ESF Head Team Mapper
👑 Administrator
🌠 Staff
✔️ HL Verified
🚂 Steam Linked
🍂 Regular
Joined
Dec 25, 2001
Messages
3,618
Best answers
0
try using -nowadtextures instead of -wadinclude
for the recognising problem, make sure to add at least one of all 4 different start entities info_(player_start, player_deathmatch, good_start, evil_start)
 
New Member
Joined
Mar 28, 2005
Messages
5
Best answers
0
Hey thanks for the quick reply. I will try it with -nowadtextures. :yes:

About the recognising, I did add a info_player_start. Although I dont have a "good_start" and "evil_start" since thats not in standart Quark setup for HL. Should it still work this way? or does this have to do with the game definition file? I couldn't find anything about what to do with it.

I've had a lot of fun mapping for Quake3 but for Quake the setup is a bit easier and you just add all new textures and sounds to the pk3 zip file which will then work for nearly every mod available but then, quake 3 doesnt have esf ;)
 
ESF Head Team Mapper
👑 Administrator
🌠 Staff
✔️ HL Verified
🚂 Steam Linked
🍂 Regular
Joined
Dec 25, 2001
Messages
3,618
Best answers
0
yes, thats what the .fgd files are good for. it tells the editor what entities are available and which properties/flags they possibly can have.
esf fgd (hammer3.5 & zhlt compatible)
 
New Member
Joined
Mar 28, 2005
Messages
5
Best answers
0
Yeah sorry about that, i got a little confused since Quark uses a different type of file called .qrk. Quark does come with a "convert from fgd to qrk" option but it generated this error:
-----
Traceback (innermost last):
File "C: \Program Files\quark\quarkpy\qmacro.py", line 311, in MACRO_ent_conver
tfrom
entf[1](a[0].parent, file, gn)
File "C: \Program Files\quark\plugins\entfgd2qrk.py", line 556, in makeqrk
token, token_is, srcstring = getnexttoken(srcstring)
File "C: \Program Files\quark\plugins\entfgd2qrk.py", line 466, in getnexttoken
if (token == "@"):
TypeError: no arguments expected
-----

I was using Quarks final release 6.3.0 which can only use the old Python 1.5.x. So just now I installed the Alpha release 6.4 which uses Python 2.2.3 and it works like a charm!

Its gonna be mapping day today ;)

Neways thanks again
 

Users who are viewing this thread

Top